Support » Plugin: WPScan - WordPress Security Scanner » Fatal error: Cannot declare class WPScan, because…

  • Resolved EuroNur

    (@euronur)


    If I want to activate the plugin, I get the following error message:

    Fatal error: Cannot declare class WPScan, because the name is already in use in /wp-content/plugins/wpscan/includes/class-wpscan.php on line 3

    What could be the cause for this?

Viewing 4 replies - 1 through 4 (of 4 total)
  • Plugin Author ethicalhack3r

    (@ethicalhack3r)

    We have not seen this error before.

    Can you confirm the version of WordPress and PHP in use, please?

    We use PHP Version 7.2.11 and PHP Edition FASTCGI with WordPress 5.1.1

    Plugin Author FireFart

    (@xfirefartx)

    This happens if you have another plugin installed that uses the same class name. Do you have any other scanning/security plugin installed that could use this class name?

    The plugin Acunetix WP Security caused the error. After we have disabled it, WPScan works without problems. Thanks for your support.

Viewing 4 replies - 1 through 4 (of 4 total)
  • The topic ‘Fatal error: Cannot declare class WPScan, because…’ is closed to new replies.